# Uses of Class
org.eclipse.core.databinding.Binding

Packages that use Binding
Package
Description
org.eclipse.core.databinding
Provides classes for binding observable objects, for example UI widgets and model objects.
org.eclipse.jface.databinding.viewers
Provides classes that can be used to observe the JFace Viewer framework.

## Uses of Binding in org.eclipse.core.databinding

Subclasses of Binding in org.eclipse.core.databinding
Modifier and Type
Class
Description
`class`
`ListBinding<M,T>`
`class`
`SetBinding<M,T>`
Methods in org.eclipse.core.databinding that return Binding
Modifier and Type
Method
Description
`final <T, M> Binding`
DataBindingContext.`bindList(IObservableList<T> targetObservableList, IObservableList<M> modelObservableList)`
Creates a `Binding` to synchronize the values of two `observable lists`.
`final <T, M> Binding`
DataBindingContext.`bindList(IObservableList<T> targetObservableList, IObservableList<M> modelObservableList, UpdateListStrategy<? super T,? extends M> targetToModel, UpdateListStrategy<? super M,? extends T> modelToTarget)`
Creates a `Binding` to synchronize the values of two `observable lists`.
`final <T, M> Binding`
DataBindingContext.`bindSet(IObservableSet<T> targetObservableSet, IObservableSet<M> modelObservableSet)`
Creates a `Binding` to synchronize the values of two `observable sets`.
`final <T, M> Binding`
DataBindingContext.`bindSet(IObservableSet<T> targetObservableSet, IObservableSet<M> modelObservableSet, UpdateSetStrategy<? super T,? extends M> targetToModel, UpdateSetStrategy<? super M,? extends T> modelToTarget)`
Creates a `Binding` to synchronize the values of two `observable sets`.
`final <T, M> Binding`
DataBindingContext.`bindValue(IObservableValue<T> targetObservableValue, IObservableValue<M> modelObservableValue)`
Creates a `Binding` to synchronize the values of two `observable values`.
`final <T, M> Binding`
DataBindingContext.`bindValue(IObservableValue<T> targetObservableValue, IObservableValue<M> modelObservableValue, UpdateValueStrategy<? super T,? extends M> targetToModel, UpdateValueStrategy<? super M,? extends T> modelToTarget)`
Creates a `Binding` to synchronize the values of two `observable values`.
Methods in org.eclipse.core.databinding that return types with arguments of type Binding
Modifier and Type
Method
Description
`static IListProperty<DataBindingContext,Binding>`
BindingProperties.`bindings()`
Returns an `IListProperty` for observing the bindings of a `DataBindingContext`.
`final IObservableList<Binding>`
DataBindingContext.`getBindings()`
Returns an unmodifiable `IObservableList` of all bindings in order by time of addition.
`final IObservableMap<Binding,IStatus>`
DataBindingContext.`getValidationStatusMap()`
Deprecated.
as of 1.1, please use `DataBindingContext.getValidationStatusProviders()`
`static IValueProperty<Binding,IObservable>`
BindingProperties.`model()`
Returns an `IValueProperty` for observing the model of a `Binding`.
`static IValueProperty<Binding,IObservable>`
BindingProperties.`target()`
Returns an `IValueProperty` for observing the target of a `Binding`.
Methods in org.eclipse.core.databinding with parameters of type Binding
Modifier and Type
Method
Description
`void`
DataBindingContext.`addBinding(Binding binding)`
Adds the given binding to this data binding context.
`boolean`
DataBindingContext.`removeBinding(Binding binding)`
Removes the given binding.

## Uses of Binding in org.eclipse.jface.databinding.viewers

Methods in org.eclipse.jface.databinding.viewers that return Binding
Modifier and Type
Method
Description
`protected Binding`
ObservableValueEditingSupport.`createBinding(IObservableValue<T> target, IObservableValue<M> model)`
Creates a new binding for the provided `target` and `model`.